This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290298 - Skylake i7-6700T CPUscaling test fail on redhat-certification-2.0-20151117.el7.noarch on RHEL 7.2
Skylake i7-6700T CPUscaling test fail on redhat-certification-2.0-20151117.el...
Status: CLOSED ERRATA
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: brose
Brian Brock
:
Depends On: 1296276
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 01:28 EST by smc_cert
Modified: 2017-04-22 22:36 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-22 22:36:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output_cpuscaling.log (26.06 KB, text/plain)
2015-12-17 23:16 EST, smc_cert
no flags Details
Test result for cpuscaling on 3.10.0-327.4.4.el7.x86_64 (4.18 MB, application/x-gzip)
2016-01-14 01:49 EST, smc_cert
no flags Details
output_cpuscaling_i7-6700T.log on 3.10.0-327.4.4.el7.x86_64 (22.97 KB, text/plain)
2016-01-14 01:49 EST, smc_cert
no flags Details
dmidecode_x11SSZ(i7-6700T).log (21.62 KB, text/plain)
2016-01-15 00:15 EST, smc_cert
no flags Details
output_cpuscaling_i7-6700T_HWP disabled.log (23.05 KB, text/plain)
2016-01-15 00:15 EST, smc_cert
no flags Details
output_cpuscaling(kernel-3.10.0-327.10.1.el7).log (20.90 KB, text/plain)
2016-02-18 21:14 EST, smc_cert
no flags Details

  None (edit)
Description smc_cert 2015-12-10 01:28:05 EST
Description of problem:
Skylake i7-6700T CPUscaling test fail on redhat-certification-2.0-20151117.el7.noarch on RHEL 7.2

You can refer below bug for details.
https://bugzilla.redhat.com/show_bug.cgi?id=1288388

Jianwei Weng 2015-12-09 21:23:19 EST
Hi Jass,

I checked the error again,the CPU cann't reach the min frequency under powersave governor should be a known bug for skylake processors.

For this error:
Error: can't set the governor:
"cpupower -c all frequency-set --governor performance --min 2801000 --max 2801000" returned 237

The command in the test suite is:
"cpupower -c all frequency-set --governor performance --min <max frequency> --max <max frequency>"

Per your comment 49
[root@x11ssv Desktop]# cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq 
2801000
[root@x11ssv Desktop]# cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_min_freq 
800000

cpuinfo_min_freq is 800000 ,so it will return error if you specify "--min" with more than 800000 ,but i checked  one Xeon CPU ,it doesn't have this question,because its cpuinfo_min_freq is equal to cpuinfo_max_freq .

I think you can open a bug for the test suite.

Regards
Jianwei


refer info.
3.10.0-327.el7.x86_64

redhat-certification-2.0-20151117.el7.noarch
redhat-certification-backend-2.0-20151117.el7.noarch
redhat-certification-hardware-1.7.1-20151113.el7.noarch
redhat-certification-information-1.7.1-20151113.el7.noarch


model name	: Intel(R) Core(TM) i7-6700T CPU @ 2.80GHz

[root@x11ssv Desktop]# cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq 
2801000

[root@x11ssv Desktop]# cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_min_freq 
800000

[root@x11ssv Desktop]# cpupower -c all frequency-set --governor userspace
Setting cpu: 0
Setting cpu: 1
Setting cpu: 2
Setting cpu: 3
Setting cpu: 4
Setting cpu: 5
Setting cpu: 6
Setting cpu: 7


[root@x11ssv Desktop]# cpupower -c all frequency-set --freq 800000
Setting cpu: 0
Setting cpu: 1
Setting cpu: 2
Setting cpu: 3
Setting cpu: 4
Setting cpu: 5
Setting cpu: 6
Setting cpu: 7

[root@x11ssv Desktop]# cpupower -c all frequency-info
analyzing CPU 7:
  driver: acpi-cpufreq
  CPUs which run at the same hardware frequency: 7
  CPUs which need to have their frequency coordinated by software: 7
  maximum transition latency: 10.0 us.
  hardware limits: 800 MHz - 2.80 GHz
  available frequency steps: 2.80 GHz, 2.80 GHz, 2.70 GHz, 2.50 GHz, 2.40 GHz, 2.20 GHz, 2.00 GHz, 1.90 GHz, 1.80 GHz, 1.70 GHz, 1.50 GHz, 1.40 GHz, 1.20 GHz, 1.10 GHz, 900 MHz, 800 MHz
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance
  current policy: frequency should be within 800 MHz and 2.80 GHz.
                  The governor "userspace" may decide which speed to use
                  within this range.
  current CPU frequency is 800 MHz (asserted by call to hardware).
  boost state support:
    Supported: yes
    Active: yes

[root@x11ssv Desktop]# cpupower -c all frequency-set --freq 2801000
Setting cpu: 0
Setting cpu: 1
Setting cpu: 2
Setting cpu: 3
Setting cpu: 4
Setting cpu: 5
Setting cpu: 6
Setting cpu: 7

[root@x11ssv Desktop]# cpupower -c all frequency-info

analyzing CPU 7:
  driver: acpi-cpufreq
  CPUs which run at the same hardware frequency: 7
  CPUs which need to have their frequency coordinated by software: 7
  maximum transition latency: 10.0 us.
  hardware limits: 800 MHz - 2.80 GHz
  available frequency steps: 2.80 GHz, 2.80 GHz, 2.70 GHz, 2.50 GHz, 2.40 GHz, 2.20 GHz, 2.00 GHz, 1.90 GHz, 1.80 GHz, 1.70 GHz, 1.50 GHz, 1.40 GHz, 1.20 GHz, 1.10 GHz, 900 MHz, 800 MHz
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance
  current policy: frequency should be within 800 MHz and 2.80 GHz.
                  The governor "userspace" may decide which speed to use
                  within this range.
  current CPU frequency is 2.80 GHz (asserted by call to hardware).
  boost state support:
    Supported: yes
    Active: yes
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 smc_cert 2015-12-13 19:58:13 EST
Update the frequency of scaling_max_freq & cpuinfo_max_freq. Thanks.

Jianwei Weng 2015-12-13 19:16:30 EST
(In reply to comment #55)
> (In reply to Jianwei Weng from comment
> #54)
> > You can verify this on your system 
> > 
> > #cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
> > #cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq
> > 
> > They should not be the same on your system,the
> "scaling_max_freq" should be
> > less than "cpuinfo_max_freq" on your system,that's why test
> failed.
> 
> Hi Jianwei,
>   Yes, the cat results met what your mentioned. Thanks a lot.
> #cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq <-2800000
> #cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq <-2801000
Hi Jass,

Ok,so please update this in https://bugzilla.redhat.com/show_bug.cgi?id=1290298 since comment 0 is not  accurate.
> Thanks,
> Jass / Supermicro
Comment 4 Jianwei Weng 2015-12-14 20:34:00 EST
For the "cpuPower.setPolicy" in test suite:
"cpupower -c all frequency-set --governor performance --min <MaximumFrequency> --max <MaximumFrequency>"


If you specify --min with more than the value of "/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq" ,then it will return error.But i see some other CPU families doesn't have this issue,for eg,Xeon,because its "scaling_max_freq" equals to its "cpuinfo_max_freq".
Comment 5 Prarit Bhargava 2015-12-17 11:05:41 EST
I'm having a bit of difficulty in understanding exactly what the issue is in this BZ.  From my reading of this BZ the situation is this.  The acpi-cpufreq driver has loaded on a i7-6700T processor.  This processor is not supported by intel-pstate driver so the acpi-cpufreq driver was loaded.

The issue appears to be that the cpuscaling portion of the hardware certification test suite is failing on this processor because the processors will not hit the minimum supported CPU frequency.

[root@x11ssv Desktop]# cpupower -c all frequency-info
analyzing CPU 7:
  driver: acpi-cpufreq
  CPUs which run at the same hardware frequency: 7
  CPUs which need to have their frequency coordinated by software: 7
  maximum transition latency: 10.0 us.
  hardware limits: 800 MHz - 2.80 GHz
  available frequency steps: 2.80 GHz, 2.80 GHz, 2.70 GHz, 2.50 GHz, 2.40 GHz, 2.20 GHz, 2.00 GHz, 1.90 GHz, 1.80 GHz, 1.70 GHz, 1.50 GHz, 1.40 GHz, 1.20 GHz, 1.10 GHz, 900 MHz, 800 MHz
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance
  current policy: frequency should be within 800 MHz and 2.80 GHz.
                  The governor "userspace" may decide which speed to use
                  within this range.
  current CPU frequency is 800 MHz (asserted by call to hardware).
  boost state support:
    Supported: yes
    Active: yes



Questions:

1.  What is the family and model # of the processor?

2.  Was the cpupower output only for CPU 7?  Or was the output trimmed to just show cpu 7?

3.  Can the output of "cpupower frequency-info -n" be cut-and-pasted into this BZ?

4.  The cpuscaling test should have a log file in which the exact failure is listed.  Can that data please be cut-and-pasted into this BZ?

Thanks,

P.
Comment 6 smc_cert 2015-12-17 23:15:46 EST
(In reply to Prarit Bhargava from comment #5)
> I'm having a bit of difficulty in understanding exactly what the issue is in
> this BZ.  From my reading of this BZ the situation is this.  The
> acpi-cpufreq driver has loaded on a i7-6700T processor.  This processor is
> not supported by intel-pstate driver so the acpi-cpufreq driver was loaded.
> 
> The issue appears to be that the cpuscaling portion of the hardware
> certification test suite is failing on this processor because the processors
> will not hit the minimum supported CPU frequency.
> 
> [root@x11ssv Desktop]# cpupower -c all frequency-info
> analyzing CPU 7:
>   driver: acpi-cpufreq
>   CPUs which run at the same hardware frequency: 7
>   CPUs which need to have their frequency coordinated by software: 7
>   maximum transition latency: 10.0 us.
>   hardware limits: 800 MHz - 2.80 GHz
>   available frequency steps: 2.80 GHz, 2.80 GHz, 2.70 GHz, 2.50 GHz, 2.40
> GHz, 2.20 GHz, 2.00 GHz, 1.90 GHz, 1.80 GHz, 1.70 GHz, 1.50 GHz, 1.40 GHz,
> 1.20 GHz, 1.10 GHz, 900 MHz, 800 MHz
>   available cpufreq governors: conservative, userspace, powersave, ondemand,
> performance
>   current policy: frequency should be within 800 MHz and 2.80 GHz.
>                   The governor "userspace" may decide which speed to use
>                   within this range.
>   current CPU frequency is 800 MHz (asserted by call to hardware).
>   boost state support:
>     Supported: yes
>     Active: yes
> 
> 
> 
> Questions:
> 
> 1.  What is the family and model # of the processor?

(trimmed)
[root@x11ssv Desktop]# cat /proc/cpuinfo
processor	: 7
vendor_id	: GenuineIntel
cpu family	: 6
model		: 94
model name	: Intel(R) Core(TM) i7-6700T CPU @ 2.80GHz
stepping	: 3
microcode	: 0x23
cpu MHz		: 2800.000
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 7
initial apicid	: 7
fpu		: yes
fpu_exception	: yes
cpuid level	: 22
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 fma cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm 3dnowprefetch ida arat epb pln pts dtherm hwp hwp_noitfy hwp_act_window hwp_epp tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 hle avx2 smep bmi2 erms invpcid rtm mpx rdseed adx smap clflushopt xsaveopt xsavec xgetbv1 xsaves
bogomips	: 5616.08
clflush size	: 64
cache_alignment	: 64
address sizes	: 39 bits physical, 48 bits virtual
power management:

> 2.  Was the cpupower output only for CPU 7?  Or was the output trimmed to
> just show cpu 7?
  
The output be trimmed.

> 
> 3.  Can the output of "cpupower frequency-info -n" be cut-and-pasted into
> this BZ?
> 

[root@x11ssv Desktop]# cpupower frequency-info -n
analyzing CPU 0:
  driver: acpi-cpufreq
  CPUs which run at the same hardware frequency: 0
  CPUs which need to have their frequency coordinated by software: 0
  maximum transition latency: 10.000 us.
  hardware limits: 800000 MHz - 2.801000 GHz
  available frequency steps: 2.801000 GHz, 2.800000 GHz, 2.700000 GHz, 2.500000 GHz, 2.400000 GHz, 2.200000 GHz, 2.000000 GHz, 1.900000 GHz, 1.800000 GHz, 1.700000 GHz, 1.500000 GHz, 1.400000 GHz, 1.200000 GHz, 1.100000 GHz, 900000 MHz, 800000 MHz
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance
  current policy: frequency should be within 800000 MHz and 2.800000 GHz.
                  The governor "performance" may decide which speed to use
                  within this range.
  current CPU frequency is 2.800000 GHz (asserted by call to hardware).
  boost state support:
    Supported: yes
    Active: yes



> 4.  The cpuscaling test should have a log file in which the exact failure is
> listed.  Can that data please be cut-and-pasted into this BZ?
> 
  The cpuscaling log has been uploaded named as "output_cpuscaling.log"

> Thanks,
> 
> P.
Comment 7 smc_cert 2015-12-17 23:16 EST
Created attachment 1107007 [details]
output_cpuscaling.log
Comment 8 Jianwei Weng 2016-01-13 00:15:01 EST
Can this bug be fixed ? several certs are now blocked by this bug.

Thanks
Comment 9 Prarit Bhargava 2016-01-13 10:52:37 EST
Please try the certification with 7.2.z-stream kernel kernel-3.10.0-327.2.1.el7.
The kernel has 3 intel_pstate rounding fixes that should resolve this problem.

I tested this on a similar system

[root@intel-skylake-dh-03 ~]# cat /proc/cpuinfo | grep "model name" | sort -u
model name      : Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz

which failed with 3.10.0-327.el7, but succeeded with 3.10.0-327.2.1.el7.

P.
Comment 10 smc_cert 2016-01-14 01:49 EST
Created attachment 1114686 [details]
Test result for cpuscaling on 3.10.0-327.4.4.el7.x86_64
Comment 11 smc_cert 2016-01-14 01:49 EST
Created attachment 1114687 [details]
output_cpuscaling_i7-6700T.log on 3.10.0-327.4.4.el7.x86_64
Comment 12 smc_cert 2016-01-14 01:51:54 EST
(In reply to Prarit Bhargava from comment #9)
> Please try the certification with 7.2.z-stream kernel
> kernel-3.10.0-327.2.1.el7.
> The kernel has 3 intel_pstate rounding fixes that should resolve this
> problem.
> 
> I tested this on a similar system
> 
> [root@intel-skylake-dh-03 ~]# cat /proc/cpuinfo | grep "model name" | sort -u
> model name      : Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz
> 
> which failed with 3.10.0-327.el7, but succeeded with 3.10.0-327.2.1.el7.
> 
> P.

Hello,
    Update the kernel to 3.10.0-327.4.4.el7.x86_64  and re-run the CPUscaling, test result/log have been uploaded, please have a review. Thanks.


CPU Effective Frequency:

           User Min       User Max      Performance
-------- -------------- -------------- --------------
expected   800 MHz       2800 MHz       2800 MHz
cpu 0      802 (71.88s)  2707 (21.19s)  2707 (21.19s) 
cpu 1      802 (71.82s)  2707 (21.20s)  2707 (21.18s) 
cpu 2      802 (71.88s)  2707 (21.29s)  2707 (21.26s) 
cpu 3      802 (71.92s)  2707 (21.19s)  2707 (21.18s) 
cpu 4      802 (71.78s)  2707 (21.18s)  2707 (21.25s) 
cpu 5      802 (71.98s)  2707 (21.19s)  2707 (21.17s) 
cpu 6      802 (71.80s)  2707 (21.28s)  2707 (21.22s) 
cpu 7      802 (72.01s)  2707 (21.20s)  2707 (21.19s) 


CPU Workload Test:

Expected Speedup: 3.50
Allowable Speedup: 2.25 to 4.75

           Power Save
-------- -------------- 
cpu 1     3.61 (2707 MHz, 19.87s)      


Error Summary:
----------------
User Space (max): Error: cpu0 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu1 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu2 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu3 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu4 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu5 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu6 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu7 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
Performance: Error: cpu0 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
Performance: Error: cpu1 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
Performance: Error: cpu2 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
Performance: Error: cpu3 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
Performance: Error: cpu4 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
Performance: Error: cpu5 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
Performance: Error: cpu6 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
Performance: Error: cpu7 in package 0 has a measured frequency of 2707 MHz vs. a requirement of 2800 MHz (- 50 MHz tolerance)
<summary>FAIL</summary>
</output>
</output>

B/R
Jass / Supermicro
Comment 13 smc_cert 2016-01-14 02:01:19 EST
Yunlong Xue 2016-01-14 01:52:51 EST
Hi Jass,

Could you please show us the value of 
"/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq"
"/sys/devices/system/cpu/cpuX/cpufreq/cpuinfo_max_freq"

?
[reply] [−] Comment 71 smc_cert@supermicro.com.tw 2016-01-14 02:00:18 EST
(In reply to Yunlong Xue from comment #70)
> Hi Jass,
> 
> Could you please show us the value of 
> "/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq"
> "/sys/devices/system/cpu/cpuX/cpufreq/cpuinfo_max_freq"
> 
> ?

  The values as below listed. FYR.
> "/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq" <--2800000
> "/sys/devices/system/cpu/cpuX/cpufreq/cpuinfo_max_freq" <--3600000
Comment 14 Prarit Bhargava 2016-01-14 10:17:26 EST
(In reply to smc_cert from comment #13)
> Yunlong Xue 2016-01-14 01:52:51 EST
> Hi Jass,
> 
> Could you please show us the value of 
> "/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq"
> "/sys/devices/system/cpu/cpuX/cpufreq/cpuinfo_max_freq"
> 
> ?
> [reply] [−] Comment 71 smc_cert@supermicro.com.tw 2016-01-14 02:00:18 EST
> (In reply to Yunlong Xue from comment #70)
> > Hi Jass,
> > 
> > Could you please show us the value of 
> > "/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq"
> > "/sys/devices/system/cpu/cpuX/cpufreq/cpuinfo_max_freq"
> > 
> > ?
> 
>   The values as below listed. FYR.
> > "/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq" <--2800000
> > "/sys/devices/system/cpu/cpuX/cpufreq/cpuinfo_max_freq" <--3600000

Interesting.

Can you provide us the output of dmidecode and attach it to this BZ?  The BIOS on our i7-6700 is very new (Dec 15 2015).

P.
Comment 15 Prarit Bhargava 2016-01-14 13:50:59 EST
Also, can you try disabling HWP in BIOS and retesting?

Thanks,

P.
Comment 16 Prarit Bhargava 2016-01-14 18:49:57 EST
Okay, I think this is a duplicate of 1279617 which added upstream commits

785ee27 ("cpufreq: intel_pstate: Fix limits->max_perf rounding error")

and

8478f53 ("cpufreq: intel_pstate: Fix limits->max_policy_pct rounding error")

My suggestion is that you disable HWP to avoid the issue for now, and certify the system.  The above commits will be included in RHEL7.3.

P.
Comment 17 smc_cert 2016-01-15 00:15 EST
Created attachment 1115029 [details]
dmidecode_x11SSZ(i7-6700T).log
Comment 18 smc_cert 2016-01-15 00:15 EST
Created attachment 1115030 [details]
output_cpuscaling_i7-6700T_HWP disabled.log
Comment 19 smc_cert 2016-01-15 00:21:39 EST
(In reply to Prarit Bhargava from comment #16)
> Okay, I think this is a duplicate of 1279617 which added upstream commits
> 
> 785ee27 ("cpufreq: intel_pstate: Fix limits->max_perf rounding error")
> 
> and
> 
> 8478f53 ("cpufreq: intel_pstate: Fix limits->max_policy_pct rounding error")
> 
> My suggestion is that you disable HWP to avoid the issue for now, and
> certify the system.  The above commits will be included in RHEL7.3.
> 
> P.

Dmidecode & output_cpuscaling_i7-6700T_HWP disabled.log have been uploaded fyr. Both enabled and disabled setting of HWP in BIOS got the same failed symptom still.

3.10.0-327.4.4.el7.x86_64
redhat-certification-2.0-20151117.el7.noarch.rpm


Before execute the cpuscaling test item
 "/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq" <--3600000
 "/sys/devices/system/cpu/cpuX/cpufreq/cpuinfo_max_freq" <--3600000

After
 "/sys/devices/system/cpu/cpuX/cpufreq/scaling_max_freq" <--2800000
 "/sys/devices/system/cpu/cpuX/cpufreq/cpuinfo_max_freq" <--3600000


Thanks,
B/R
Jass / Supermicro
Comment 23 Russ Anderson 2016-02-09 22:52:08 EST
FWIW, we hit what looks like the same problem with rhel7.2, but it works with
rhel7.3 (3.10.0-346.el7).

CPU Effective Frequency:

           User Min       User Max      Performance
-------- -------------- -------------- --------------
expected  1200 MHz       2200 MHz       2200 MHz
cpu 0     1199 (49.38s)  2199 (26.82s)  2197 (26.83s) 
cpu 1     1200 (49.35s)  2199 (26.81s)  2197 (26.84s) 
cpu 2     1200 (49.35s)  2199 (26.81s)  2197 (26.83s)
Comment 24 smc_cert 2016-02-18 21:14 EST
Created attachment 1128374 [details]
output_cpuscaling(kernel-3.10.0-327.10.1.el7).log
Comment 25 smc_cert 2016-02-18 21:15:23 EST
Hello,
  I rerun the CPUscaling item w/ errata kernel(kernel-3.10.0-327.10.1.el7.src.rpm),  test log as attachment. 

https://rhn.redhat.com/errata/RHSA-2016-0185.html	
kernel-3.10.0-327.10.1.el7.src.rpm	
	
	
CPU Effective Frequency:	
	
           User Min       User Max      Performance	
-------- -------------- -------------- --------------	
expected   800 MHz       2800 MHz       2800 MHz	
cpu 0      902 (63.78s)  2808 (20.42s)  2807 (20.43s) 	
cpu 1      902 (63.74s)  2808 (20.43s)  2808 (20.42s) 	
cpu 2      902 (63.78s)  2808 (20.42s)  2808 (20.45s) 	
cpu 3      902 (63.73s)  2808 (20.42s)  2808 (20.42s) 	
cpu 4      902 (63.73s)  2808 (20.41s)  2808 (20.42s) 	
cpu 5      902 (63.72s)  2807 (20.42s)  2808 (20.41s) 	
cpu 6      902 (63.77s)  2808 (20.41s)  2807 (20.42s) 	
cpu 7      902 (63.74s)  2808 (20.41s)  2808 (20.41s) 	

Thanks,

Note You need to log in before you can comment on or make changes to this bug.